%global checkout 20160313gitf1986ac

Name:           libarea
# version found in ./debian/changelog
Version:        0.0.2
Release:        2.%{checkout}%{?dist}
Summary:        Library that allows for creating tool paths for pocketing
Group:          Applications/Engineering
License:        BSD
URL:            https://github.com/Heeks/libarea
# git archive --prefix=libarea-0.0.2/ HEAD | xz > libarea-0.0.2.tar.xz
Source0:        %{name}-%{version}.tar.xz
Patch0:         0001-Use-arch-specific-dir-for-python.patch
Patch1:         0002-Allow-LIB_INSTALL_DIR.patch
Patch2:         0003-add-LICENSE.patch

BuildRequires:  cmake
BuildRequires:  boost-devel
BuildRequires:  python-devel


%description
LibAREA is a library that allows for creating tool paths for pocketing.


%package devel
Summary:    Libraries and header files for the %{name} library
Group:      Development/Libraries
Requires:   %{name} = %{version}-%{release}

%description devel
This package provides the libraries, include files, and other resources needed 
for developing %{name} applications.

%package python
Summary:    Python interface to %{name}
Group:      Development/Libraries
Requires:   %{name} = %{version}-%{release}

%description python
Python interface to %{name}

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1


%build
%{cmake} . # -D LIB_INSTALL_DIR=%{buildroot}%{_libdir} .
make %{?_smp_mflags} CFLAGS="%{optflags}"


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%files
%doc LICENSE README.md
%{_libdir}/libarea.so.0*

%files python
%{python_sitearch}/area.so

%files devel
%{_includedir}/area/
%{_libdir}/libarea.so


%changelog
* Thu Dec 15 2011 Chris Spike <spike@fedoraproject.org> 0.0.2-0.1.20111215git599996d
- Initial version of the package
